aboutsummaryrefslogtreecommitdiffstats
path: root/.cirrus/cirrus-env
diff options
context:
space:
mode:
Diffstat (limited to '.cirrus/cirrus-env')
-rw-r--r--.cirrus/cirrus-env11
1 files changed, 11 insertions, 0 deletions
diff --git a/.cirrus/cirrus-env b/.cirrus/cirrus-env
new file mode 100644
index 00000000000..84df2e8aee3
--- /dev/null
+++ b/.cirrus/cirrus-env
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -uo pipefail
+
+export GIT_SHA1=${CIRRUS_CHANGE_IN_REPO?}
+export GITHUB_BASE_BRANCH=${CIRRUS_BASE_BRANCH:-}
+export GITHUB_BRANCH=${CIRRUS_BRANCH?}
+export GITHUB_REPO=${CIRRUS_REPO_FULL_NAME?}
+export BUILD_NUMBER=${CI_BUILD_NUMBER?}
+export PULL_REQUEST=${CIRRUS_PR:-false}
+export PULL_REQUEST_SHA=${CIRRUS_BASE_SHA:-}
+export PIPELINE_ID=${CIRRUS_BUILD_ID?}